
#import "MyViewController.h"

@implementation MyViewController

@synthesize myTableView;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {

    }
    return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
	
	myTableView = [[UITableView alloc] initWithFrame:[self.view bounds]];
	myTableView.delegate = self;
	myTableView.dataSource = self;	
	[self.view addSubview:myTableView];
}


- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 50;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {	
	static NSString *CellIdentifier = @"Cell";
	 
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
	if (cell == nil) {
		cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:CellIdentifier] autorelease];
	}
	
	cell.text = [NSString stringWithFormat:@"%@ %i", @"row", indexPath.row];
	return cell;
}	 

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
	NSLog([NSString stringWithFormat:@"%i selected.", indexPath.row]);
}

- (void)viewWillAppear:(BOOL)animated {
	NSIndexPath* selection = [myTableView indexPathForSelectedRow];
	if(selection){
		[myTableView deselectRowAtIndexPath:selection animated:YES];
	}
	[myTableView reloadData];
}

- (void)viewDidAppear:(BOOL)animated {
	[self.myTableView flashScrollIndicators];
}

- (void)setEditing:(BOOL)editing animated:(BOOL)animated{
	[super setEditing:editing animated:animated];
	[myTableView setEditing:editing animated:animated];	
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation{
	[myTableView flashScrollIndicators];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}


- (void)dealloc {
	[myTableView release];
    [super dealloc];
}


@end
